package net.northking.cctp.element.core.exception;

/**
 * Assert keyword should throw AssertException
 * 
 * @author fengxiang.zhang
 * @since 1.0
 */
public class AssertException extends RuntimeException {
	/**
	 * 是否执行下一步
	 */
	private boolean continueNextStep;

	public boolean isContinueNextStep() {
		return continueNextStep;
	}

	public AssertException() {
		super();
	}

	public AssertException(String string) {
		super(string);
	}

	public AssertException(Throwable t) {
		super(t);
	}

	public AssertException(String string, Throwable t) {
		super(string, t);
	}

	public AssertException(String message, Throwable cause, boolean continueNextStep) {
		super(message, cause);
		this.continueNextStep = continueNextStep;
	}
}